<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item"><button class="btn btn-primary" (click)="addProduct()"><i class="fa fa-plus"></i> Ajouter</button></li>
    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-12">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-cubes"></i> Products</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th class="text-center">Nom</th>
            <th class="text-center">Poids (Kg)</th>
            <th class="text-center">Volume (M³)</th>
            <th class="text-center">Longueur</th>
            <th class="text-center">Largeur</th>
            <th class="text-center">Hauteur</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let product of products">
            <td><b>{{product.id}}</b></td>
            <td class="text-center"><b>{{product.nameProduct}}</b></td>
            <td class="text-center"><b>{{product.weightProduct}}</b></td>
            <td class="text-center"><b>{{product.volumeProduct}}</b></td>
            <td class="text-center"><b>{{product.dimensionProduct.length}}</b></td>
            <td class="text-center"><b>{{product.dimensionProduct.width}}</b></td>
            <td class="text-center"><b>{{product.dimensionProduct.height}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateProduct(product.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteProduct(product)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

</div>